Quantcast

FreeBSD/Xorg support for Intel PineView (Atom D510) GPU

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

FreeBSD/Xorg support for Intel PineView (Atom D510) GPU

Peter Jeremy-6
Motherboards with the new Atoms are with integrated northbridge and
GPU are now available (eg Intel BOXD510MO) and I was considering
getting one but it seems that FreeBSD does not yet support X on them.

The PCI-ID of the GPU is 0xa001/0x8086 - which isn't supported by either
agp(4) or drm, though it looks like x11-drivers/xf86-video-intel does
include support for it.

Some rummaging with google throws up a set of 6 mails starting at
http://lists.freedesktop.org/archives/intel-gfx/2009-February/001481.html
which includes the Linux AGP/DRM patches.  At a quick look, the
changes are fairly trivial.  Other than porting that code into
FreeBSD, are there likely to be any other gotchas?

--
Peter Jeremy

attachment0 (203 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: FreeBSD/Xorg support for Intel PineView (Atom D510) GPU

Robert Noland
On Fri, 2010-01-22 at 22:42 +1100, Peter Jeremy wrote:

> Motherboards with the new Atoms are with integrated northbridge and
> GPU are now available (eg Intel BOXD510MO) and I was considering
> getting one but it seems that FreeBSD does not yet support X on them.
>
> The PCI-ID of the GPU is 0xa001/0x8086 - which isn't supported by either
> agp(4) or drm, though it looks like x11-drivers/xf86-video-intel does
> include support for it.
>
> Some rummaging with google throws up a set of 6 mails starting at
> http://lists.freedesktop.org/archives/intel-gfx/2009-February/001481.html
> which includes the Linux AGP/DRM patches.  At a quick look, the
> changes are fairly trivial.  Other than porting that code into
> FreeBSD, are there likely to be any other gotchas?

It doesn't appear so.  It looks like mostly adding pci ids to the
appropriate places.  I may already have an old patch for agp around here
somewhere.  At the time that I made the patch, the hardware was
unreleased though, so it couldn't be tested.

The one place for concern is the intel ddx driver.  Since anything
beyond 2.7 won't work without GEM and 2.10 won't work without KMS, there
might be a bit of work retrofitting those patches to the 2.7 driver
depending on where along the path they were originally done.

robert.
 
--
Robert Noland <[hidden email]>
FreeBSD

_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-x11
To unsubscribe, send any mail to "[hidden email]"
Loading...